/* 
 * Copyright (c) 2009 ISPRAS
 *
 * Institute for System Programming of Russian Academy of Sciences
 * 25 B.Kommunisticheskaya st. Moscow 109004 Russia
 *
 * All rights reserved.
 * 
 * $Id: NOPInstruction.java,v 1.1 2009/07/14 12:36:58 kamkin Exp $
 */

package com.unitesk.testfusion.demo.model.isa;

import com.unitesk.testfusion.core.model.Processor;

/**
 * @author <a href="emailto:kamkin@ispras.ru">Alexander Kamkin</a>
 */
public class NOPInstruction extends DemoInstruction
{
    public NOPInstruction()
    {
        super("nop");
    }
    
    @Override
    public void calculate(Processor processor)
    {
        // Do nothing.
    }
    
    @Override
    public void execute(Processor processor)
    {
        // Do nothing.
    }

    @Override
    public String toString()
    {
        return "nop";
    }
    
    @Override
    public NOPInstruction createInstruction()
    {
        return new NOPInstruction();
    }
}
