/* 
 * Copyright (c) 2009 ISPRAS
 *
 * Institute for System Programming of Russian Academy of Sciences
 * 25 B.Kommunisticheskaya st. Moscow 109004 Russia
 *
 * All rights reserved.
 * 
 * $Id: LWInstruction.java,v 1.1 2009/07/14 12:37:09 kamkin Exp $
 */

package com.unitesk.testfusion.demo.model.isa.memory;

import com.unitesk.testfusion.demo.model.DemoRegister;

/**
 * @author <a href="emailto:kamkin@ispras.ru">Alexander Kamkin</a>
 */
public class LWInstruction extends MemoryInstruction
{
    public LWInstruction()
    {
        super("lw", true);
    }

    public LWInstruction(DemoRegister rt, short offset, DemoRegister base)
    {
        super("lw", true, rt, offset, base);        
    }
    
    @Override
    public LWInstruction createInstruction()
    {
        return new LWInstruction();
    }
}
