/* 
 * Copyright (c) 2009 ISPRAS
 *
 * Institute for System Programming of Russian Academy of Sciences
 * 25 B.Kommunisticheskaya st. Moscow 109004 Russia
 *
 * All rights reserved.
 * 
 * $Id: SWInstruction.java,v 1.1 2009/07/14 12:37:09 kamkin Exp $
 */

package com.unitesk.testfusion.demo.model.isa.memory;

import com.unitesk.testfusion.demo.model.DemoRegister;

/**
 * @author <a href="emailto:kamkin@ispras.ru">Alexander Kamkin</a>
 */
public class SWInstruction extends MemoryInstruction
{
    public SWInstruction()
    {
        super("sw", false);
    }

    public SWInstruction(DemoRegister rt, short offset, DemoRegister base)
    {
        super("sw", false, rt, offset, base);        
    }
    
    @Override
    public SWInstruction createInstruction()
    {
        return new SWInstruction();
    }
}
