/* 
 * Copyright (c) 2009 ISPRAS
 *
 * Institute for System Programming of Russian Academy of Sciences
 * 25 B.Kommunisticheskaya st. Moscow 109004 Russia
 *
 * All rights reserved.
 * 
 * $Id: BranchInstruction.java,v 1.1 2009/07/14 12:37:04 kamkin Exp $
 */

package com.unitesk.testfusion.demo.model.isa.branch;

import com.unitesk.testfusion.demo.model.isa.DemoInstruction;

/**
 * @author <a href="emailto:kamkin@ispras.ru">Alexander Kamkin</a>
 */
public abstract class BranchInstruction extends DemoInstruction
{
    protected String label;
    
    public BranchInstruction(String name)
    {
        super(name);
    }
    
    public String getLabel()
    {
        return label;
    }
    
    public void setLabel(String label)
    {
        this.label = label;
    }

    @Override
    public boolean isBranchInstruction()
    {
        return true;
    }
}
